Rapid7 Vulnerability & Exploit Database

RHSA-2001:069: Updated man package fixing security problems available

Back to Search

RHSA-2001:069: Updated man package fixing security problems available

Severity
5
CVSS
(AV:L/AC:L/Au:N/C:P/I:P/A:P)
Published
09/20/2001
Created
07/25/2018
Added
10/28/2005
Modified
07/04/2017

Description

A heap overrun exists in the man packages shipped with Red Hat Linux 5.x, 6.x and 7.0. Since man is setgid man, users could gain gid man privileges. Red Hat Linux 7.1 is not affected by this problem.

A buffer size was calculated incorrectly in man.c

Solution(s)

  • redhat-upgrade-man

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;